package com.zcloud.service.majordangersource.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.majordangersource.MonitoringDeviceDisableMapper;
import com.zcloud.service.majordangersource.MonitoringDeviceDisableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：监测设备停用记录
 * 作者：luoxiaobao
 * 时间：2022-04-01
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class MonitoringDeviceDisableServiceImpl implements MonitoringDeviceDisableService{

	@Autowired
	private MonitoringDeviceDisableMapper monitoringdevicedisableMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		monitoringdevicedisableMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		monitoringdevicedisableMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		monitoringdevicedisableMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return monitoringdevicedisableMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return monitoringdevicedisableMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return monitoringdevicedisableMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		monitoringdevicedisableMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return monitoringdevicedisableMapper.findByIds(pd);
	}

	/**修改设备停用记录无效
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public void updateInvalid(PageData pd) throws Exception {
		monitoringdevicedisableMapper.updateInvalid(pd);
	}
}

